Skip to main content
GET
/
webhooks
List webhooks
curl --request GET \
  --url https://api.smartlyq.com/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "webhooks": [
      {
        "id": 1,
        "url": "https://example.com/hooks",
        "events": [
          "post.published",
          "comment.received"
        ],
        "status": "active",
        "last_triggered_at": "2026-03-01 15:30:00",
        "created_at": "2026-02-10 10:00:00"
      }
    ],
    "events": [
      "post.published",
      "post.failed",
      "post.partial",
      "account.connected",
      "account.disconnected",
      "account.token_expired",
      "comment.received",
      "message.received",
      "job.completed",
      "job.failed"
    ]
  },
  "meta": {
    "request_id": "req_abc123",
    "timestamp": "2026-03-01T16:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Response

Success

success
enum<boolean>
Available options:
true
data
object
meta
object